Page MenuHomePhabricator

SchemaPopupsSamplingRate config variable is badly named
Closed, ResolvedPublic

Description

Thanks to @Krenair we avoided having no event logging during an A/B test.

We confusingly have a global config variable called wgSchemaPopupsSamplingRate that is passed to a mediawiki config variable called
'wgPopupsSchemaPopupsSamplingRate'

This can lead to confusion like seen today in https://gerrit.wikimedia.org/r/310483
We should probably rename the global config variable to wgPopupsSchemaSamplingRate and rename the mw.config value.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2016, 11:35 PM
Jdlrobson triaged this task as Low priority.Oct 20 2016, 7:56 PM
Jdlrobson added a project: good first bug.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptOct 20 2016, 7:56 PM

For the benefit of someone who would want to make this change, what would the process of renaming a global variable like that be, without breaking existing behavior?

jhobs changed the task status from Open to Stalled.Dec 7 2016, 6:29 PM
jhobs added a subscriber: jhobs.

Hi there @McIntireEvan, thanks for your interest in helping improve our codebase! Unfortunately, this task should have been marked "Stalled" a few weeks ago when we started working on a major rewrite of the Hovercards code, so I'm not sure there's much to be done here. There are, however, a few other tasks of similar complexity you could help us with, if you are so inclined!

If these don't interest you, another great place to look is the good first bug project. Thanks!

Thanks for the response! I'll take a look at these for myself and to mentor for GCI :)

Aklapper added a comment.EditedDec 14 2016, 6:14 PM

@McIntireEvan: Tell us if we should make this a Google-Code-In-2016 task! :)

Edit: Sorry. Just saw T146434#2854844.

ovasileva moved this task from Needs Analysis to Backlog on the Page-Previews board.
ovasileva moved this task from Backlog to Needs Analysis on the Page-Previews board.

Change 332151 had a related patch set uploaded (by Phuedx):
Hygiene: Rename SchemaPopupsSamplingRate

https://gerrit.wikimedia.org/r/332151

Change 332151 merged by jenkins-bot:
Hygiene: Rename SchemaPopupsSamplingRate

https://gerrit.wikimedia.org/r/332151

Jhernandez closed this task as Resolved.Jan 15 2017, 11:44 PM
Jhernandez claimed this task.
Jhernandez added a subscriber: Jhernandez.

Renamed on the mpga branch (see rEPOP98b2dcf631f1: Hygiene: Rename SchemaPopupsSamplingRate), created T155386: mw.org Docs: Update config variable docs when mpga merged to master as follow up to update docs when merging to master.